#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	URI
%define		pnam	URI
Summary:	URI - Uniform Resource Identifiers (absolute and relative)
Summary(pl.UTF-8):	URI - obsługa ujednoliconych identyfikatorów zasobów (bezwzględnych i względnych)
Summary(ru.UTF-8):	URI - Uniform Resource Identifier (URI) ссылки, как указывает RFC 2396
Summary(uk.UTF-8):	URI - посилання Uniform Resource Identifier (URI) як визначено в RFC 2396
Name:		perl-URI
Version:	5.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/URI/%{pnam}-%{version}.tar.gz
# Source0-md5:	82aaecd8861f31444338231801ba01ca
URL:		https://metacpan.org/release/URI
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(Net::Domain)
BuildRequires:	perl-Encode
BuildRequires:	perl-MIME-Base64 >= 2
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Test-Needs
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the URI.pm module with friends. The module
implements the URI class. Objects of this class represent Uniform
Resource Identifier (URI) references as specified in RFC 2396.

%description -l ru.UTF-8
Этот пакет содержит URI.pm и сопутствующие модули. Модуль реализует
Uniform Resource Identifier (URI) ссылки, как указывает RFC 2396.

%description -l pl.UTF-8
Ten pakiet zawiera moduł URI dla Perla. Służy on do obróbki
ujednoliconych identyfikatorów zasobów (URI - Uniform Resource
Identifier), zgodnych z RFC 2396.

%description -l pt_BR.UTF-8
Módulo Perl URI - Este pacote contém o modulo URI.pm para manipular
"Uniform Resource Identifier" (URI) confirme especificado na RFC 2396.

%description -l uk.UTF-8
Цей пакет містить URI.pm та потрібні для нього модулі. Модуль реалізує
посилання Uniform Resource Identifier (URI) як зазначено в RFC 2396.

%prep
%setup -q -n %{pnam}-%{version}
%{__mv} t/heuristic.t{,.blah}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/URI
%{perl_vendorlib}/URI.pm
%{_mandir}/man3/URI*.3pm*
%changelog
* Thu Jul 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-URI.git;a=log;h=master

* Mon Jul 15 2024 Jan Palus <atler@pld-linux.org> 050eb72
- up to 5.28

* Wed Feb 14 2024 Jan Palus <atler@pld-linux.org> 8cf2ea1
- up to 5.27

* Wed Aug 30 2023 Jan Palus <atler@pld-linux.org> 1800c5c
- up to 5.21

* Wed Aug 30 2023 Jan Palus <atler@pld-linux.org> 0020392
- up to 5.20

* Thu May 04 2023 Jan Palus <atler@pld-linux.org> 4dda773
- up to 5.19

* Wed Dec 07 2022 Jan Palus <atler@pld-linux.org> 663e02d
- up to 5.17

* Sun Oct 16 2022 Jan Palus <atler@pld-linux.org> 6859a51
- up to 5.16

* Sun Oct 09 2022 Jan Palus <atler@pld-linux.org> 89d0746
- up to 5.13

* Mon Aug 15 2022 Jan Palus <atler@pld-linux.org> 484a5d1
- up to 5.12

* Wed Jun 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 2bc67df
- updated to 5.10

* Thu May 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 15ce0b0
- updated to 5.09

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> c667f04
- macros version to ensure perl macros are loaded

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e0cf56d
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 918c37f
- up to 1.76

* Sat Sep 29 2018 Jakub Bogusz <qboosh@pld-linux.org> c0a147c
- updated to 1.74

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 5edeb2e
- updated to 1.71

* Tue Jan 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 345a47b
- updated to 1.69
- Business::ISBN is no longer detected as dependency

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> b60c250
- updated to 1.64

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> c6405f3
- updated to 1.60

* Thu Nov 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 2fa6b49
- updated to 1.59

